Bug 1006110 - Packaging issues
Packaging issues
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediawiki (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 23:40 EDT by Orion Poplawski
Modified: 2013-10-18 15:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: mediawiki-1.21.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-13 15:54:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-09-09 23:40:46 EDT
Description of problem:

rpmlint:

mediawiki.noarch: E: description-line-too-long C This package supports wiki farms. Read the instructions for creating wiki instances under /usr/share/doc/mediawiki-1.21.2/README.RPM.
mediawiki.noarch: E: non-executable-script /usr/share/mediawiki/maintenance/hiphop/make 0644L /usr/bin/hphpi
mediawiki.noarch: E: non-executable-script /usr/share/mediawiki/includes/limit.sh 0644L /bin/bash
mediawiki.noarch: E: non-executable-script /usr/share/mediawiki/includes/normal/UtfNormalTest2.php 0644L /usr/bin/env
mediawiki.noarch: E: non-executable-script /usr/share/mediawiki/maintenance/storage/make-blobs 0644L /bin/bash
mediawiki.noarch: E: zero-length /usr/share/mediawiki/maintenance/language/zhtable/trad2simp_supp_unset.manual
mediawiki.noarch: E: non-executable-script /usr/share/mediawiki/maintenance/hiphop/run-server 0644L /usr/bin/hphpi

Several of these:
mediawiki.noarch: W: hidden-file-or-dir /usr/share/mediawiki/extensions/InputBox/.gitreview
mediawiki.noarch: W: hidden-file-or-dir /usr/share/mediawiki/extensions/WikiEditor/.jshintrc
mediawiki.noarch: W: hidden-file-or-dir /usr/share/mediawiki/extensions/WikiEditor/.jshintignore


mediawiki.noarch: E: non-executable-script /usr/share/mediawiki/maintenance/cssjanus/csslex.py 0644L /usr/bin/python
mediawiki.noarch: E: non-executable-script /usr/share/mediawiki/maintenance/cssjanus/cssjanus.py 0644L /usr/bin/python
mediawiki.noarch: E: non-executable-script /usr/share/mediawiki/extensions/ConfirmEdit/captcha.py 0644L /usr/bin/python
mediawiki.noarch: E: incorrect-fsf-address /usr/share/mediawiki/extensions/SyntaxHighlight_GeSHi/geshi/docs/COPYING
mediawiki.noarch: W: install-file-in-docs /usr/share/doc/mediawiki-1.21.2/INSTALL

rpmbuild:
warning: File listed twice: /usr/share/mediawiki/mw-config
warning: File listed twice: /usr/share/mediawiki/mw-config/index.php
warning: File listed twice: /usr/share/mediawiki/mw-config/index.php5
warning: File listed twice: /usr/share/mediawiki/mw-config/overrides.php

Everything list on %doc line is installed in both:
/usr/share/doc/mediawiki-1.21.2/
/usr/share/mediawiki/

including the 'docs' dirs.


Finally, it would be helpful for generating EPEL packages if most of the instances of "mediawiki" were replaced with "%{name}" in the spec.


Version-Release number of selected component (if applicable):
mediawiki-1.21.2-1.fc19.noarch
Comment 1 Fedora Update System 2013-10-05 16:24:32 EDT
mediawiki-1.21.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mediawiki-1.21.2-2.fc20
Comment 2 Fedora Update System 2013-10-05 16:25:30 EDT
mediawiki-1.21.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mediawiki-1.21.2-2.fc19
Comment 3 Fedora Update System 2013-10-06 01:30:51 EDT
Package mediawiki-1.21.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediawiki-1.21.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18413/mediawiki-1.21.2-2.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-13 15:54:50 EDT
mediawiki-1.21.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-18 15:34:23 EDT
mediawiki-1.21.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.